Package org.openoffice.da.comp.w2lcommon.filter

# Class FilterDataParser

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.FilterDataParser

public class FilterDataParser extends Object
This class parses the FilterData property passed to the filter and applies it to a `Converter` All errors are silently ignored

## Constructor Summary

Constructors
Constructor
Description
`FilterDataParser(com.sun.star.uno.XComponentContext xComponentContext)`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyFilterData(Object data, Converter converter)`
Apply the given FilterData property to the given converter.
`void`
`applyFilterOptions(Object options, Converter converter)`
Apply the given FilterOptions property to the given converter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterDataParser

public FilterDataParser(com.sun.star.uno.XComponentContext xComponentContext)

## Method Details

### applyFilterOptions

public void applyFilterOptions(Object options, Converter converter)
Apply the given FilterOptions property to the given converter. The property must be a comma separated list of name=value items.

Parameters:
  `options` - an `Any` containing the FilterOptions property
  `converter` - a `writer2latex.api.Converter` implementation

### applyFilterData

public void applyFilterData(Object data, Converter converter)
Apply the given FilterData property to the given converter. The property must be an array of PropertyValue objects.

Parameters:
  `data` - an `Any` containing the FilterData property
  `converter` - a `writer2latex.api.Converter` implementation